<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NSN Mailing List                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

$query = $db->sql_query("UPDATE ".$prefix."_nsnml_lists SET title='".addslashes($title)."', description='".addslashes($description)."' WHERE lid='$lid'");
if(!$query) {
  incoh();
  Max_OpenTable();
  $result = $db->sql_error($query);
  echo "<center><b>".$result['code'].": ".$result['message']."</b></center>\n";
  Max_CloseTable();
  incof();
  return;
} else {
  $query = $db->sql_query("OPTIMIZE TABLE ".$prefix."_nsnml_lists");
  header("Location: ".$admin_file.".php?op=MLViewLists");
}

?>